#ifndef CONFIG_H
#define CONFIG_H

#include "compiler.h"
#include "common.h"
#include "sysvars.h"
#include "confenum.h"

#define CONFIG_BUFSIZE 16384
extern char config_buf[CONFIG_BUFSIZE];
extern volatile bool do_update_config;
extern bool _configured;
static inline bool configured(void)
{
    return _configured;
}
void update_config(void);

#endif /* CONFIG_H */
